[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Multi-dimensional Array Tags |
--- | --- | ---

## Classes

struct | StridedArrayTag
struct | UnstridedArrayTag

## Detailed Description

Meta-programming tags to mark array's as strided or unstrided.

## Define Documentation

#define VIGRA_TYPE_TRAITS | ( | type |  | ) |

Value:

    template<> \
    class TypeTraits<type> \
    { \
      public: \
        typedef VigraFalseType isConst; \
        typedef VigraTrueType isPOD; \
        typedef VigraTrueType isBuiltinType; \
    };

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)